Package org.apache.nutch.scoring.webgraph

# Class LinkRank

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.nutch.scoring.webgraph.LinkRank

All Implemented Interfaces:
  `Configurable`, `Tool`

public class LinkRank extends Configured implements Tool

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkRank()`
  Default constructor.
  `LinkRank(Configuration conf)`
  Configurable constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `analyze(Path webGraphDb)`
  Runs the complete link analysis job.
  `static void`
  `main(String[] args)`
  `int`
  `run(String[] args)`
  Runs the LinkRank tool.

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf, setConf`

- ## Constructor Details

  - ### LinkRank

    public LinkRank()
    Default constructor.

  - ### LinkRank

    public LinkRank(Configuration conf)
    Configurable constructor.
    Parameters:
      `conf` - a populated `Configuration`

- ## Method Details

  - ### analyze

    public void analyze(Path webGraphDb) throws IOException, ClassNotFoundException, InterruptedException
    Runs the complete link analysis job. The complete job determins rank one score. Then runs through a given number of invert and analyze iterations, by default 10. And finally replaces the NodeDb in the WebGraph with the link rank output.
    Parameters:
      `webGraphDb` - The WebGraph to run link analysis on.
    Throws:
      `IOException` - If a fatal I/O runtime error occurs during link analysis.
      `InterruptedException` - if the Job is interrupted during execution
      `ClassNotFoundException` - if classes required to run the Job cannot be located

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`

  - ### run

    public int run(String[] args) throws Exception
    Runs the LinkRank tool.
    Specified by:
      `run` in interface `Tool`
    Throws:
      `Exception`